From e0d4e943370a9b41576da329f255518f0693397c Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 6 Jan 2015 16:13:02 -0500
Subject: buglist: bug 7285: tracing of Kernel failed

)trace Kernel )math

   Parameterized constructors traced:
      KERNEL
(22) -> sin(1)
1<enter Kernel.kernel,30 :
 arg1= pi
 arg2= []
 arg3= 1
 1<enter Kernel.setPosition,26 :
  arg1= %pi
  arg2= 1024
 1>exit  Kernel.setPosition,26
   >> System error:
   1024 is not of type CHARACTER.
---
 buglist                        |   21 ++++++++++++++++++++-
 changelog                      |    2 ++
 patch                          |   22 ++++++++++++++++------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 40 insertions(+), 7 deletions(-)

diff --git a/buglist b/buglist
index 41e0918..27694e0 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7285: 
+bug 7286: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,25 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7285: tracing of Kernel failed
+
+)trace Kernel )math
+ 
+   Parameterized constructors traced:
+      KERNEL
+(22) -> sin(1)
+1<enter Kernel.kernel,30 : 
+ arg1= pi
+ arg2= []
+ arg3= 1
+ 1<enter Kernel.setPosition,26 : 
+  arg1= %pi
+  arg2= 1024
+ 1>exit  Kernel.setPosition,26  
+   >> System error:
+   1024 is not of type CHARACTER.
+
+=========================================================================
 bug 7284: printing of typeOf failed
 
 outputFixed(0)
diff --git a/changelog b/changelog
index 6f63548..404c0d3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150106 tpd src/axiom-website/patches.html 20150106.09.tpd.patch
+20150106 tpd buglist: bug 7285: tracing of Kernel failed
 20150106 tpd src/axiom-website/patches.html 20150106.08.tpd.patch
 20150106 tpd buglist: bug 7284: printing of typeOf failed
 20150106 tpd src/axiom-website/patches.html 20150106.07.tpd.patch
diff --git a/patch b/patch
index 38fd76a..6e2b1f2 100644
--- a/patch
+++ b/patch
@@ -1,8 +1,18 @@
-buglist: bug 7284: printing of typeOf failed
+buglist: bug 7285: tracing of Kernel failed
 
-outputFixed(0)
-                                                                   Type: Void
-(7) -> 0.0
+)trace Kernel )math
+ 
+   Parameterized constructors traced:
+      KERNEL
+(22) -> sin(1)
+1<enter Kernel.kernel,30 : 
+ arg1= pi
+ arg2= []
+ arg3= 1
+ 1<enter Kernel.setPosition,26 : 
+  arg1= %pi
+  arg2= 1024
+ 1>exit  Kernel.setPosition,26  
+   >> System error:
+   1024 is not of type CHARACTER.
 
-   (7)  0.0
-                                                                  Type: Float
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a182d63..be26503 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4912,6 +4912,8 @@ buglist: bug 7282: Cannot convert from type Matrix(Integer)...<br/>
 buglist: bug 7283: printing of typeOf failed<br/>
 <a href="patches/20150106.08.tpd.patch">20150106.08.tpd.patch</a>
 buglist: bug 7284: printing of typeOf failed<br/>
+<a href="patches/20150106.09.tpd.patch">20150106.09.tpd.patch</a>
+buglist: bug 7285: tracing of Kernel failed<br/>
  </body>
 </html>
 
-- 
1.7.5.4

